public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Marius Brehler" <marbre@linux.sungazer.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-biology/nilearn/
Date: Wed, 12 Oct 2016 06:30:33 +0000 (UTC)	[thread overview]
Message-ID: <1474887879.c1407b997a3e6e11251147e7e23814b1daba4552.marbre@gentoo> (raw)

commit:     c1407b997a3e6e11251147e7e23814b1daba4552
Author:     Horea Christian <horea.christ <AT> yandex <DOT> com>
AuthorDate: Mon Sep 26 11:04:39 2016 +0000
Commit:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
CommitDate: Mon Sep 26 11:04:39 2016 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=c1407b99

sci-biology/nilearn: updted EAPI and python compatibility (#684)

* sci-biology/nilearn: updted EAPI and python compatibility

Package-Manager: portage-2.3.1

* sci-biology/nilearn: version bump

Package-Manager: portage-2.3.1

* sci-biology/nilearn: improved test phase

Package-Manager: portage-2.3.1

 sci-biology/nilearn/nilearn-0.1.4.1.ebuild                     | 10 +++++-----
 sci-biology/nilearn/nilearn-0.2.4.ebuild                       |  6 +++---
 sci-biology/nilearn/nilearn-0.2.5.ebuild                       |  6 +++---
 .../nilearn/{nilearn-0.2.4.ebuild => nilearn-0.2.6.ebuild}     |  6 +++---
 sci-biology/nilearn/nilearn-9999.ebuild                        | 10 +++++-----
 5 files changed, 19 insertions(+), 19 deletions(-)

diff --git a/sci-biology/nilearn/nilearn-0.1.4.1.ebuild b/sci-biology/nilearn/nilearn-0.1.4.1.ebuild
index a57bbbc..9814724 100644
--- a/sci-biology/nilearn/nilearn-0.1.4.1.ebuild
+++ b/sci-biology/nilearn/nilearn-0.1.4.1.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=5
+EAPI=6
 
-PYTHON_COMPAT=( python2_7 python3_4 )
+PYTHON_COMPAT=( python{2_7,3_4} )
 
 inherit distutils-r1
 
@@ -31,6 +31,6 @@ RDEPEND="
 
 S="${WORKDIR}/${PN}-${MY_PV}"
 
-src_test() {
-	emake test-code
+python_test() {
+	nosetests -v || die
 }

diff --git a/sci-biology/nilearn/nilearn-0.2.4.ebuild b/sci-biology/nilearn/nilearn-0.2.4.ebuild
index 0d3b294..7816b7e 100644
--- a/sci-biology/nilearn/nilearn-0.2.4.ebuild
+++ b/sci-biology/nilearn/nilearn-0.2.4.ebuild
@@ -4,7 +4,7 @@
 
 EAPI=6
 
-PYTHON_COMPAT=( python2_7 python3_4 )
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
 
 inherit distutils-r1
 
@@ -28,6 +28,6 @@ RDEPEND="
 	sci-libs/nibabel[${PYTHON_USEDEP}]
 	plot? ( dev-python/matplotlib[${PYTHON_USEDEP}] )"
 
-src_test() {
-	emake test-code
+python_test() {
+	nosetests -v || die
 }

diff --git a/sci-biology/nilearn/nilearn-0.2.5.ebuild b/sci-biology/nilearn/nilearn-0.2.5.ebuild
index 0d3b294..7816b7e 100644
--- a/sci-biology/nilearn/nilearn-0.2.5.ebuild
+++ b/sci-biology/nilearn/nilearn-0.2.5.ebuild
@@ -4,7 +4,7 @@
 
 EAPI=6
 
-PYTHON_COMPAT=( python2_7 python3_4 )
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
 
 inherit distutils-r1
 
@@ -28,6 +28,6 @@ RDEPEND="
 	sci-libs/nibabel[${PYTHON_USEDEP}]
 	plot? ( dev-python/matplotlib[${PYTHON_USEDEP}] )"
 
-src_test() {
-	emake test-code
+python_test() {
+	nosetests -v || die
 }

diff --git a/sci-biology/nilearn/nilearn-0.2.4.ebuild b/sci-biology/nilearn/nilearn-0.2.6.ebuild
similarity index 90%
copy from sci-biology/nilearn/nilearn-0.2.4.ebuild
copy to sci-biology/nilearn/nilearn-0.2.6.ebuild
index 0d3b294..7816b7e 100644
--- a/sci-biology/nilearn/nilearn-0.2.4.ebuild
+++ b/sci-biology/nilearn/nilearn-0.2.6.ebuild
@@ -4,7 +4,7 @@
 
 EAPI=6
 
-PYTHON_COMPAT=( python2_7 python3_4 )
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
 
 inherit distutils-r1
 
@@ -28,6 +28,6 @@ RDEPEND="
 	sci-libs/nibabel[${PYTHON_USEDEP}]
 	plot? ( dev-python/matplotlib[${PYTHON_USEDEP}] )"
 
-src_test() {
-	emake test-code
+python_test() {
+	nosetests -v || die
 }

diff --git a/sci-biology/nilearn/nilearn-9999.ebuild b/sci-biology/nilearn/nilearn-9999.ebuild
index ab5a4af..36d9a30 100644
--- a/sci-biology/nilearn/nilearn-9999.ebuild
+++ b/sci-biology/nilearn/nilearn-9999.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=5
+EAPI=6
 
-PYTHON_COMPAT=( python2_7 python3_4 )
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
 
 inherit distutils-r1 git-r3
 
@@ -29,6 +29,6 @@ RDEPEND="
 	sci-libs/nibabel[${PYTHON_USEDEP}]
 	plot? ( dev-python/matplotlib[${PYTHON_USEDEP}] )"
 
-src_test() {
-	emake test-code
+python_test() {
+	nosetests -v || die
 }


             reply	other threads:[~2016-10-12  6:30 UTC|newest]

Thread overview: 33+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-10-12  6:30 Marius Brehler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-22 11:28 [gentoo-commits] proj/sci:master commit in: sci-biology/nilearn/ Horea Christian
2023-05-02 23:58 Horea Christian
2023-05-02 23:58 Horea Christian
2022-07-11 16:33 Horea Christian
2022-05-13  1:44 Horea Christian
2022-04-28 15:25 Horea Christian
2022-01-26 17:48 Andrew Ammerlaan
2022-01-26 17:48 Andrew Ammerlaan
2021-09-07 12:56 Andrew Ammerlaan
2021-09-07 12:56 Andrew Ammerlaan
2021-06-01  8:40 Andrew Ammerlaan
2021-04-15  6:21 Horea Christian
2021-02-12 21:46 Sam James
2021-01-15 20:11 Andrew Ammerlaan
2020-12-24 11:00 Horea Christian
2020-12-23  8:01 Horea Christian
2020-09-26 10:31 Horea Christian
2020-09-26 10:14 Horea Christian
2020-01-10 12:48 Horea Christian
2019-11-10 13:44 Horea Christian
2018-12-07  1:09 Horea Christian
2018-12-07  1:05 Horea Christian
2018-08-02 17:42 Horea Christian
2018-08-02 17:37 Horea Christian
2018-06-05 11:43 Horea Christian
2018-01-20 21:26 Martin Mokrejs
2017-04-03 14:55 Marius Brehler
2016-10-12  6:30 Marius Brehler
2016-07-04 20:23 Justin Lecher
2016-06-15 14:19 Marius Brehler
2016-06-15 14:19 Marius Brehler
2016-06-15 14:19 Marius Brehler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1474887879.c1407b997a3e6e11251147e7e23814b1daba4552.marbre@gentoo \
    --to=marbre@linux.sungazer.de \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox